Bug 1263287 - CVE-2015-5279 qemu: Heap overflow vulnerability in ne2000_receive() function [fedora-all]
CVE-2015-5279 qemu: Heap overflow vulnerability in ne2000_receive() function ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
22
All Linux
high Severity high
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2015-5279
  Show dependency treegraph
 
Reported: 2015-09-15 09:39 EDT by Prasad J Pandit
Modified: 2015-10-09 07:21 EDT (History)
9 users (show)

See Also:
Fixed In Version: 2.4.0-4.fc23 qemu-2.3.1-5.fc22 qemu-2.1.3-11.fc21
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-24 01:09:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2015-09-15 09:39:57 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Prasad J Pandit 2015-09-15 09:40:07 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1256672,1263287

# Description of your update
notes=Security fix for CVE-2015-5279

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1256672,1263287
Comment 2 Cole Robinson 2015-09-21 17:15:29 EDT
Upstream commit:

commit 9bbdbc66e5765068dce76e9269dce4547afd8ad4
Author: P J P <pjp@fedoraproject.org>
Date:   Tue Sep 15 16:40:49 2015 +0530

    net: add checks to validate ring buffer pointers(CVE-2015-5279)
Comment 3 Fedora Update System 2015-09-21 20:15:38 EDT
qemu-2.1.3-11.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16368
Comment 4 Fedora Update System 2015-09-21 20:21:56 EDT
qemu-2.3.1-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16369
Comment 5 Fedora Update System 2015-09-21 20:25:52 EDT
qemu-2.4.0-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16370
Comment 6 Fedora Update System 2015-09-22 23:56:08 EDT
qemu-2.4.0-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update qemu'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16370
Comment 7 Fedora Update System 2015-09-23 01:23:30 EDT
qemu-2.1.3-11.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update qemu'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16368
Comment 8 Fedora Update System 2015-09-23 17:23:42 EDT
qemu-2.3.1-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update qemu'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16369
Comment 9 Fedora Update System 2015-09-24 01:08:37 EDT
qemu-2.4.0-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-10-09 06:28:48 EDT
qemu-2.3.1-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-10-09 07:20:28 EDT
qemu-2.1.3-11.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.